import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Visualizer here.
 * 
 * Diana Lanni after Ed Parrish after Mik Kolling
 * Viz This 3/12
 */

public class Visualizer extends Actor
{
    private GreenfootImage image;
   // public GreenfootImage imageChange; Can be used if more than one shape
   /**
    * This Visualizer sets up a background above the keys that changes colors
    * randomly with each re-set.
    */
   public Visualizer()
    {
        image = new GreenfootImage(800, 340);
        image.setColor(new Color(
                        Greenfoot.getRandomNumber(256),
                       Greenfoot.getRandomNumber(256),
                        Greenfoot.getRandomNumber(256),
                        Greenfoot.getRandomNumber(256)));
        image.fill();
        setImage(image);
    }

    /**
    * Play imagery when pressing piano keys.
    *
    * @param k The key that was played.
    */
    public void visualize(Key k)
    {
        int width = k.getImage().getWidth();
        int x = k.getX();
        int drawHeight = image.getHeight() - width/2 ;
        int y = Greenfoot.getRandomNumber(drawHeight) + width/4 ;

        //Color color = new Color(255, 0, 255, 128);
        Color color = k.getColor();
       Rect shape = new Rect(width, width , color);
        getWorld().addObject(shape, x, y);
    } 

    /**
     * Act - do whatever the Visualizer wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    } 

   
}
